//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.03.10 at 12:34:04 PM CET 
//


package nl.naturalis.geneious.oaipmh.jaxb;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DnaExtract complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DnaExtract">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="unit" type="{http://data.naturalis.nl/geneious}ExtractUnit"/>
 *         &lt;element name="dnaLabProject" type="{http://data.naturalis.nl/geneious}DnaLabProject"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DnaExtract", propOrder = {
    "unit",
    "dnaLabProject"
})
public class DnaExtract {

    @XmlElement(required = true)
    protected ExtractUnit unit;
    @XmlElement(required = true)
    protected DnaLabProject dnaLabProject;

    /**
     * Gets the value of the unit property.
     * 
     * @return
     *     possible object is
     *     {@link ExtractUnit }
     *     
     */
    public ExtractUnit getUnit() {
        return unit;
    }

    /**
     * Sets the value of the unit property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtractUnit }
     *     
     */
    public void setUnit(ExtractUnit value) {
        this.unit = value;
    }

    /**
     * Gets the value of the dnaLabProject property.
     * 
     * @return
     *     possible object is
     *     {@link DnaLabProject }
     *     
     */
    public DnaLabProject getDnaLabProject() {
        return dnaLabProject;
    }

    /**
     * Sets the value of the dnaLabProject property.
     * 
     * @param value
     *     allowed object is
     *     {@link DnaLabProject }
     *     
     */
    public void setDnaLabProject(DnaLabProject value) {
        this.dnaLabProject = value;
    }

}
